Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Abrunden mittels LISP

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Abrunden mittels LISP (1095 mal gelesen)
jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 05. Nov. 2010 19:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Innerhalb eines LISP-Programmes werden Geometrien (Linien und Bögen) gezeichnet und verschiedene Elemente sollen gegeneinander abgerundet werden. Bislang sieht mein Code in etwa (reduziert auf das wesentliche) folgendermaßen aus:

(command "_line" von-punkt1 nach-punkt1 "")
(setq e1 (ssget "_l"))
(command "_line" von-punkt2 nach-punkt2 "")
(setq e2 (ssget "_l"))
(command "_fillet" "_r" radius (ssname e1 0) (ssname e2 0))

In vielen Fällen funktionier das auch bestens. Das Problem aber ist, daß es beim abrunden unter Umständen bis zu 4 verschiedene Lösungsmöglichkeiten gibt, die man beim "händischen" abrunden bekanntlich durch die Wahl eines geeigneten Pickpunktes steuert. Wie könnte man mittels LISP bei der Objektwahl einen "Pickpunkt" mitgeben? Mir würde es genügen, dazu den "von-punkt" oder "nach-punkt" der jeweiligen Linie zu benutzen, da ich weiß, welchen der Punkte ich für das gewollte Ergebnis brauche. Nur: wie kann ich dem Abrunden-Befehl einen Elemetnamen UND eine Koordinate (als "Pickpunkt") übergeben? 

Bin für jeden Tip dankbar.

jupa

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9553
Registriert: 01.12.2003

AutoCAD 2.5 - 2017, Civil 3D, MAP 3D, LDD, MDT, ARD
Inventor AIP 4-201x
Win7x64, Win 10

erstellt am: 05. Nov. 2010 20:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für jupa 10 Unities + Antwort hilfreich

 
Zitat:
Original erstellt von jupa:
... Nur: wie kann ich dem Abrunden-Befehl einen Elemetnamen UND eine Koordinate (als "Pickpunkt") übergeben? 

Bin für jeden Tip dankbar.

jupa


_FILLET akzeptiert auch Objektübergabe mit angehängtem Pickpunkt, wie sie zum Beispiel die Funktion (ENTSEL) zurückgibt.

Code:
...
(setq e2 (ssget "_l"))
(setq Pickpt (cdr (assoc 10 (entget (ssname e2 0)))))
(command "_fillet" "_r" radius (ssname e1 0) (list (ssname e2 0) Pickpt)))

Dafür das der übergebene Pickpunkt auf bzw. in der Nähe des Objektes liegt musst du aber selbst sorgen.

------------------
Mit freundlichem Gruß

Udo Hübner
www.CAD-Huebner.de

[Diese Nachricht wurde von CAD-Huebner am 05. Nov. 2010 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 05. Nov. 2010 20:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke für die rasche Antwort. "_FILLET akzeptiert auch Objektübergabe mit angehängtem Pickpunkt" klingt vielversprechend. Wenn's nicht klappt, steh ich morgen hier wieder auf der Matte.

Schönes Wochenende

jupa

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 06. Nov. 2010 06:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Funktioniert bestens. Nochmals danke an Udo.

jupa

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz